System 2.0.0.0 4.0.0.0 System.Enum

The enumeration defines a set of special categories that are applied to application settings properties with the class.

The default settings provider, , does not encrypt or otherwise protect connection strings. It simple stores this type of settings in a separate <connectionstrings> section in the appropriate configuration file.

Specifies the special setting category of a application settings property.

- Field
  2.0.0.0
  4.0.0.0
  System.Configuration.SpecialSetting

  The configuration property represents a connection string, typically for a data store or network resource.

- Field
  2.0.0.0
  4.0.0.0
  System.Configuration.SpecialSetting

  The configuration property represents a Uniform Resource Locator (URL) to a Web service.